Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.helpers
Class NamingContext

    java.lang.Object
      org.jboss.soa.esb.helpers.NamingContext

Deprecated. `NamingContextPool`

    public class NamingContext

extends java.lang.Object

Obtains JNDI naming context.

Field Summary
`static java.lang.String` | `JBOSS_INITIAL_CONTEXT_FACTORY` Deprecated.
`static java.lang.String` | `JBOSS_PROVIDER_URL` Deprecated.
`static java.lang.String` | `JBOSS_URL_PKG_PREFIX` Deprecated.
`static int` | `MAX_RETRIES` Deprecated.

Constructor Summary
`NamingContext()` Deprecated.

Method Summary
`static void` | `closeAllContexts()` Deprecated. Closes all Contexts, and removes them from the contextCache.
`static javax.naming.Context` | `getFreshServerContext(java.util.Properties properties)` Deprecated. Refreshing the cached JNDI context, return the new context.
`static javax.naming.Context` | `getServerContext(java.util.Properties properties)` Deprecated. Tries to connect to the server to obtain the server Context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_RETRIES

    public static final int MAX_RETRIES

  Deprecated.
  See Also:
    Constant Field Values

### JBOSS_PROVIDER_URL

    public static final java.lang.String JBOSS_PROVIDER_URL

  Deprecated.
  See Also:
    Constant Field Values

### JBOSS_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String JBOSS_INITIAL_CONTEXT_FACTORY

  Deprecated.
  See Also:
    Constant Field Values

### JBOSS_URL_PKG_PREFIX

    public static final java.lang.String JBOSS_URL_PKG_PREFIX

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### NamingContext

    public NamingContext()

  Deprecated.

Method Detail

### getServerContext

    public static javax.naming.Context getServerContext(java.util.Properties properties)

  Deprecated.
  Tries to connect to the server to obtain the server Context.

  Parameters:
    `properties` - - the JNDI environment.
  Returns:
    the InitialContext.

### getFreshServerContext

    public static javax.naming.Context getFreshServerContext(java.util.Properties properties)

  Deprecated.
  Refreshing the cached JNDI context, return the new context.

  Parameters:
    `properties` -
  Returns:
    Context

### closeAllContexts

    public static void closeAllContexts()

  Deprecated.
  Closes all Contexts, and removes them from the contextCache.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD